Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PatchMaker.Package Class Reference

## Public Member Functions
| __init__ (self, packageDesc, patchMaker, xpackage=None)
| getBaseKey (self)
| getCurrentKey (self)
| getGenericKey (self, fileSpec)
| getTopKey (self)
| readDescFile (self, doProcessing=False)
| writeDescFile (self)

## Public Attributes
bool | anyChanges = False
| baseFile = None
| basePv = None
| compressedFilename = None
| contentsDocPackage = xpackage
| currentFile = None
| currentPv = None
| doc = None
| hostUrl = None
| packageDesc = packageDesc
| packageDir = Filename(patchMaker.installDir, packageDesc.getDirname())
| packageName = None
list | patches = []
| patchMaker = patchMaker
int | patchVersion = 1
| platform = None
| topFile
| topPv = None
| version = None

## Detailed Description

     This is a particular package.  This contains all of the
    information needed to reconstruct the package's desc file.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | packageDesc,
|  |  | patchMaker,
|  |  | xpackage = None )

## Member Function Documentation

## ◆ getBaseKey()

getBaseKey | ( |  | self | ) |

     Returns the key to locate the "base" or oldest version
    of this package.

## ◆ getCurrentKey()

getCurrentKey | ( |  | self | ) |

     Returns the key to locate the current version of this
    package.

## ◆ getGenericKey()

getGenericKey | ( |  | self,
|  |  | fileSpec )

     Returns the key that has the indicated hash.

## ◆ getTopKey()

getTopKey | ( |  | self | ) |

     Returns the key to locate the "top" or newest version
    of this package.

## ◆ readDescFile()

readDescFile | ( |  | self,
|  |  | doProcessing = False )

     Reads the existing package.xml file and stores it in
    this class for later rewriting.  if doProcessing is true,
    it may massage the file and the directory contents in
    preparation for building patches.  Returns true on
    success, false on failure.

## ◆ writeDescFile()

writeDescFile | ( |  | self | ) |

     Rewrites the desc file with the new patch
    information.

## Member Data Documentation

## ◆ anyChanges

bool anyChanges = False

## ◆ baseFile

baseFile = None

## ◆ basePv

basePv = None

## ◆ compressedFilename

compressedFilename = None

## ◆ contentsDocPackage

contentsDocPackage = xpackage

## ◆ currentFile

currentFile = None

## ◆ currentPv

currentPv = None

## ◆ doc

doc = None

## ◆ hostUrl

hostUrl = None

## ◆ packageDesc

packageDesc = packageDesc

## ◆ packageDir

packageDir = Filename(patchMaker.installDir, packageDesc.getDirname())

## ◆ packageName

packageName = None

## ◆ patches

list patches = []

## ◆ patchMaker

patchMaker = patchMaker

## ◆ patchVersion

patchVersion = 1

## ◆ platform

platform = None

## ◆ topFile

topFile

## ◆ topPv

topPv = None

## ◆ version

version = None